# Les Matrices

On considére un system:

\\[
    \begin{cases}
        x - 2y + 3z = 4 \\\\
        2x + y - 4z = 3 \\\\
        -3x + 5y -z = 0 
    \end{cases}
\\]

Un système est caractérisé par ses cohéfficients et par les thermes indépendants.
Les nombres sont placés à des positions bien précises.
On peut représenter ces nombres dans un tableau

\\[
    \begin{pmatrix}
        1   &-2 &3  &4 \\\\
        2   &1  &-4 &3 \\\\
        -3  &5  &-1  &0
    \end{pmatrix}
    \text{ On dit que M est une matrice de taille } 3 * 4
\\]

Une matrice de taille \\( m * n \quad  (m,n \in \mathbb{N}_ 0 ) \\) est un tableau
dont les éléments sont rangés selon m lignes et n colonnes

\\[
    A = \begin{pmatrix}
        a_{11} &a_{12} &\cdots &a_{1n} \\\\
        a_{21} &a_{22} &\cdots &\vdots \\\\
        \vdots &\vdots &\ddots &\vdots \\\\
        a_{m1} &\cdots &\cdots &a_{mn}
    \end{pmatrix}
    a_{23} \text{ est situé 2e ligne, 3e colonne } \\\\
    A = (a_{ij} a_{ij} \text{ est un terme de } A)
\\]

## Operations sur les matrices

### Egalitée

 \\( A = B \iff A \text{ et } B \\) ont la même taille et \\( a_{ij} = b_{ij} \quad \forall i,j \\) 

### Transposition

\\( A^t \\)  est la matrice dont les lignes et les colonnes de \\( A \\)  sont inversée

#### Exemple

\\[
    A = \begin{pmatrix}
        1 &2 \\\\
        3 &4
    \end{pmatrix}
    A^t = \begin{pmatrix}
        1 &3 \\\\
        2 &4
    \end{pmatrix}
\\]

### Produit par un scalaire

- Soit \\( A \in \mathbb{R}^{m * n} \quad k \in \mathbb{R}   \\) 
    - La matrice \\( k * a \\) est une matrice \\( B \\) de taille \\( m * n \\) tel que
        - \\( b_{ij} ka_{ij} \quad \forall i,j \\) 

#### Exemple

\\[
    2\begin{pmatrix}
        1 &2 &3\\\\
        4 &5 &6
    \end{pmatrix}
    = \begin{pmatrix}
        2 &4 &6\\\\
        8 &10 &12
    \end{pmatrix}
\\]

### Produit de 2 matrices


\\[
    A * B = C \quad 
    \begin{align}
        c_{ij} &= a_{ij} * b_{ij} + ... a_{in} * b_{nj} \\\\
        &= \displaystyle\sum_{k=1}^{n} a_{ik} * b_{kj}
    \end{align}
\\] 

#### Exemple

\\[
    \begin{pmatrix}
        2 &1 &-1 \\\\
        3 &0 &2
    \end{pmatrix} * 
    \begin{pmatrix}
        1 \\\\
        -2 \\\\
        2 
    \end{pmatrix} =
    \begin{pmatrix}
        2 - 2 - 2 \\\\
        3 + 0 + 4
    \end{pmatrix} =
    \begin{pmatrix}
        -2 \\\\
        7
    \end{pmatrix}
\\]

## Résoudre des système d'équation

### Via l'échelonnement des matrices

1) \\( [A | B] \\)  (A augmenté de B)
2) Echeloner notre matrice ( Grace aux transformations elementaires ci-dessous )
    - \\( L_i \leftrightarrow  L_j\\) (Echange de lignes)
    - \\( L_i \gets \alpha L_i \quad \alpha \in \mathbb{R} \\) 
    - \\( L_i \gets L_i + L_j \\
3) Revenir au système et trouver S
